Jupiter ERP
Account API

Update service object

/api/account/service-objects/{id}

PATCHHTTP
patch/api/account/service-objects/{id}

Example request

PATCH https://api.jupiter-erp.com/api/account/service-objects/example-id

Code
curl -X PATCH 'https://api.jupiter-erp.com/api/account/service-objects/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "number": 0,
  "formatted_number": "string",
  "name": "string",
  "type": "machine",
  "serial_number": "string",
  "location": "string"
}'

Parameters

NameInRequiredDescription
idpathyes

Request body

Optional

FieldTypeDescription
contact_idinteger
formatted_numberstring
installed_atstring (date)
internal_descriptionstring
locationstring
namestring
numberinteger
portal_descriptionstring
serial_numberstring
statusstring

string

  • active
  • inactive
typestring

string

  • machine
  • building
  • device
  • vehicle
  • other
Example request
{
  "number": 0,
  "formatted_number": "string",
  "name": "string",
  "type": "machine",
  "serial_number": "string",
  "location": "string"
}

Responses

200OK
FieldTypeDescription
contactobject
FieldTypeDescription
additional_namestring
address_line_1stringFirst line of the address (Street and House number)
address_line_2stringSecond line of the address
avatarobject
FieldTypeDescription
idinteger
urlstring
bank_bicstringBank BIC/SWIFT code
bank_ibanstringBank IBAN
birthdatestring (date)Birthdate of the contact in ISO 8601 format.
buyer_referencestring
cash_discount_daysintegerCash discount days for the contact.
cash_discount_ratenumber (float)Cash discount percentage for the contact.
citystringCity of the address.
company_namestringCompany name (used as name_line_3 in document addresses).
contact_numberinteger
country_codestringISO country code of the address.
created_atstring (date-time)Creation timestamp in ISO 8601 format.
creditor_numberinteger
custom_dataobject
customer_discount_ratenumber (float)Customer-specific discount percentage.
debtor_numberinteger
delivery_termsstring
emailsobject[]

array

Elements

FieldTypeDescription
namestring
valuestring (email)
fieldsobject[]List of contact field values

array

Elements

FieldTypeDescription
id*integerField ID
key*stringField key
value*objectValue of the field
first_namestring
genderstring

string

  • female
  • male
  • diverse
group_idsinteger[]

array

Elements

integer

groupsobject[]List of groups associated with the contact.

array

Elements

FieldTypeDescription
id*integerUnique identifier for the group.
name*stringName of the group.
id*integer
internal_notestringHTML
is_organisation*boolean
last_namestring
name*string
parentobject
FieldTypeDescription
additional_namestring
address_line_1stringFirst line of the address (Street and House number)
address_line_2stringSecond line of the address
bank_bicstringBank BIC/SWIFT code
bank_ibanstringBank IBAN
birthdatestring (date)Birthdate of the contact in ISO 8601 format.
buyer_referencestring
cash_discount_daysintegerCash discount days for the contact.
cash_discount_ratenumber (float)Cash discount percentage for the contact.
citystringCity of the address.
company_namestringCompany name (used as name_line_3 in document addresses).
contact_numberinteger
country_codestringISO country code of the address.
created_atstring (date-time)Creation timestamp in ISO 8601 format.
creditor_numberinteger
custom_dataobject
customer_discount_ratenumber (float)Customer-specific discount percentage.
debtor_numberinteger
delivery_termsstring
emailsobject[]

array

Elements

FieldTypeDescription
namestring
valuestring (email)
first_namestring
genderstring

string

  • female
  • male
  • diverse
id*integer
internal_notestringHTML
is_organisation*boolean
last_namestring
name*string
parent_idinteger
payment_term_daysinteger
payment_termsstring
phonesobject[]

array

Elements

FieldTypeDescription
namestring
valuestringPhone number in E.164 format.
positionstringPosition of the contact in the organisation.
quote_due_daysinteger
reference_keystring
sepa_creditor_idstring
statestringState or region of the address.
tax_idstringTax ID
titlestringTitle of the contact (e.g., Mr., Mrs.).
type*string

string

  • organisation
  • person
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
vat_idstringVAT ID
websitesobject[]

array

Elements

FieldTypeDescription
namestring
valuestring (https://test.com)
zipstringZIP or postal code.
parent_idinteger
payment_term_daysinteger
payment_termsstring
phonesobject[]

array

Elements

FieldTypeDescription
namestring
valuestringPhone number in E.164 format.
positionstringPosition of the contact in the organisation.
quote_due_daysinteger
reference_keystring
sepa_creditor_idstring
statestringState or region of the address.
status*stringContact lifecycle status. List endpoints default to active contacts when omitted.

string

  • active
  • archived
tax_idstringTax ID
titlestringTitle of the contact (e.g., Mr., Mrs.).
type*string

string

  • organisation
  • person
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
vat_idstringVAT ID
websitesobject[]

array

Elements

FieldTypeDescription
namestring
valuestring (https://test.com)
zipstringZIP or postal code.
contact_idinteger
created_atstring (date-time)Creation timestamp in ISO 8601 format.
formatted_number*stringDisplay number (account format), unique per account
id*integer
installed_atstring (date)
internal_descriptionstringInternal description (panel only)
locationstring
media_filesobject[]

array

Elements

FieldTypeDescription
created_atstring (date-time)Creation timestamp in ISO 8601 format.
descriptionstring
entityobject
FieldTypeDescription
idinteger
namestring
entity_idinteger
entity_typestring

string

  • Account
  • Contact
  • PrintLayout
  • PrintBackground
  • ServiceProtocol
  • ServiceObject
  • ServiceOrder
file_bytesnumber
file_extstringFile extension (e.g., 'jpg', 'png', 'pdf'). Note: PDFs are converted to 'jpg' upon upload.
file_typestringMIME type (e.g., 'image/jpeg', 'image/png', 'application/pdf'). Note: PDFs are converted to 'image/jpeg' upon upload.
id*integer
is_publicboolean
keystring
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
url*string
userobject
FieldTypeDescription
image_urlstring
namestring
user_idinteger
name*string
number*integerSequential number per account (internal)
portal_descriptionstringDescription visible in the contact portal
serial_numberstring
status*string

string

  • active
  • inactive
type*stringCategory (machine, building, device, vehicle, other)

string

  • machine
  • building
  • device
  • vehicle
  • other
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
Example response
{
  "id": 0,
  "number": 0,
  "formatted_number": "string",
  "name": "string",
  "type": "machine",
  "serial_number": "string",
  "status": "active"
}
Service objects

Questions about integration?

PATCH /api/account/service-objects/{id} · Jupiter ERP